Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

YOU CAN REVERT BACK TO 1.08 IF YOU WANT.

Discussion in 'Phantom 2 Vision Discussion' started by rfernandez, Apr 10, 2014.

  1. rfernandez

    Joined:
    Jan 20, 2014
    Messages:
    373
    Likes Received:
    0
    For those of you who don't want the V3.0 like me, You can go back to it if you want. I still have Phantom Assistant 1.08, I was able to recover it from my time machine back-up. (**** I love Mac :) ) so if any one does not like the restrictions and wants to revert back send me a PM with email and I will send the program. :cool: :cool: :cool:
    P.S. it still works with the 3.0 phone app. So no issues there.
     
  2. JimDE

    Joined:
    Mar 22, 2014
    Messages:
    175
    Likes Received:
    0
    Richard I am sure this might be a really dumb question but I need to make sure in my mind. If I instal 1.08 PT2 will it only show the software versions that were available pre version 2? Or will 1.08 suggest updates that are current version update values?
     
  3. mr_3_0_5

    Joined:
    Dec 24, 2013
    Messages:
    440
    Likes Received:
    0
    Is it true the new firmware has a ceiling of 400 ft set no changing it
    Or it it changeable like the 2.0 so it can be set to what you want?
     
  4. JimDE

    Joined:
    Mar 22, 2014
    Messages:
    175
    Likes Received:
    0
    The ceiling in areas not around airports is the same as it was before. Around airports the ceiling is variable depending on distance and type of airport.
     
  5. ZonComGMZ

    Joined:
    Dec 8, 2013
    Messages:
    189
    Likes Received:
    1
    Here is what I do.

    I make a copy of "Phantom2.exe" before I update.
    I then rename that file to "Phantom2 (x.xx).exe with x being the version number.
    Then I perform the upgrade.

    By doing it this way you can have multiple version of the Phantom 2 Vision Assistant on the same machine and just run the version you want. (1.05, 1.08, 2.00, 3.00, etc...)
     
  6. rfernandez

    Joined:
    Jan 20, 2014
    Messages:
    373
    Likes Received:
    0
    i would not do 1.05. but at the very least 1.08 the software will ask tell you that 1.08 is available just upgrade.or downgrade rather..
     
  7. Venom93corba

    Joined:
    Jan 3, 2014
    Messages:
    188
    Likes Received:
    0
    Rfernandez I'll definitely take a copy of 1.08 if you don't mind. Thanks

    Venom93corba@gmail.com

    Phantom 2 Vision, Ragecams 5.4 flat lens
     
  8. Venom93corba

    Joined:
    Jan 3, 2014
    Messages:
    188
    Likes Received:
    0
    Rfernandez I'll definitely take a copy of 1.08 if you don't mind. Thanks

    Venom93corba@gmail.com

    Phantom 2 Vision, Ragecams 5.4 flat lens
     
  9. gunslinger

    gunslinger Moderator
    Staff Member

    Joined:
    Nov 3, 2013
    Messages:
    2,722
    Likes Received:
    497
    Location:
    Least Coast...
    Richard:

    I installed Assistant 3.0 and upgraded fully from there. So... Now I'm running Autopilot 3.0 and central board firmware V1.0.1.25.

    How do I get back to the firmware that was installed back when I was running 1.08. This is a bit confusing, man...

    -slinger
     
  10. gunslinger

    gunslinger Moderator
    Staff Member

    Joined:
    Nov 3, 2013
    Messages:
    2,722
    Likes Received:
    497
    Location:
    Least Coast...
    I believe I have every version of the Assistant as well as the RC Assistant and the Windows P2V driver located at

    http://www.droneslinger.com

    Select "Software" from the menu near the bottom...

    -slinger
     
  11. rfernandez

    Joined:
    Jan 20, 2014
    Messages:
    373
    Likes Received:
    0
    the versions I have are for Mac. so if anyone needs it let me know..
     
  12. XL-Studios

    Joined:
    Apr 5, 2014
    Messages:
    149
    Likes Received:
    0
    How exactly is the downgrade carried out? Will the 1.08 downgrade the P2V?
     
  13. rfernandez

    Joined:
    Jan 20, 2014
    Messages:
    373
    Likes Received:
    0
    if you go to the updates section and click it it will tell you that 1.08 is available. follow the prompts
     
  14. BMEWS

    Joined:
    Mar 25, 2014
    Messages:
    368
    Likes Received:
    0
    Location:
    Cambridgeshire UK
    Hi Richard,

    perhaps a step by step would be helpful?

    cheers

    Bmews
     
  15. rfernandez

    Joined:
    Jan 20, 2014
    Messages:
    373
    Likes Received:
    0
    Simple, this is really a two step process, after you install PT2 version 1.08 just go to the updates and perform the update it will revert you back to 1.08 that is it..
     
  16. Dillinger

    Joined:
    Apr 9, 2014
    Messages:
    61
    Likes Received:
    0
    Location:
    Estonia
    Rfernandez, I try to send PM to You, but i m too rookie in this forum, so I can't.
    How can I ask Mac firmwares from You? Interested from 1.8!
     
  17. gpauk

    Joined:
    Nov 16, 2013
    Messages:
    567
    Likes Received:
    1
    Location:
    Aberdeenshire, Scotland
    PM isn't enabled until you have made 3 posts, I think. I don't know why!
     
  18. jkohut

    Joined:
    Oct 9, 2014
    Messages:
    3
    Likes Received:
    0
    O man this is great, would everyone say that 1.8 is the best firmware for the P2?
     
  19. RichW

    Joined:
    Jun 5, 2014
    Messages:
    113
    Likes Received:
    0
    Location:
    UK
    This looks a very old thread....

    I still use it but I have no need for waypoint flying and am unaffected by the declination issues people had with earlier versions.

    I like the higher speeds and accept if I crash its my fault but as we are supposed to fly safely and maintain control of our craft at all times I don't have a problem with this.

    I would say its a bit more like stabilisers off flying even before you switch to ATTI. Horses for courses really and there is no best firmware ;)
     
  20. Fplvert

    Joined:
    May 28, 2014
    Messages:
    1,559
    Likes Received:
    708
    Location:
    Southern Idaho USA
    :D Thank you, gunslinger, for hosting this for us. Legend.

    PS: I lost my 1.08 assistant and was so happy to get it back from http://www.droneslinger.com after DJI quit hosting. IMHO, 1.08 is awesome. Maybe not for inexperienced pilots, but I run it on P2V and my +. :)